Zamknij menu
    Nowe
    Młody kreatywnie bizneswoman pokazuje jej telefon

    Co to jest Snap i jak instalować pakiety Snap w Ubuntu?

    2026-10-21

    Jak zainstalować i skonfigurować Git do kontroli wersji w systemie Linux

    2026-10-04
    Mężczyzna azjatycki projektant graficzny pracujący w biurowym studiu przy użyciu tabletu projektujący logo i prezentujący proces projektowania tożsamości korporacyjnej i logo

    Jak używać polecenia journalctl do przeglądania logów systemowych w Linux

    2026-09-29
    Facebook X (Twitter) Instagram
    Linuksowo
    • Główna
    • Dystrybucje
    • Tematy
      • Administracja
      • Bezpieczeństwo
      • Instalacja
      • Oprogramowanie
      • Podstawy
      • Wybór systemu
      • Rozszerzenia plików
    • Pozostałe
    Linuksowo
    Główna»Rozszerzenia plików»Rozszerzenie pliku .gz – co to jest i do czego służy
    Rozszerzenia plików

    Rozszerzenie pliku .gz – co to jest i do czego służy

    Norbert BarwickiNorbert BarwickiBrak komentarzy1 min. czyt.
    Udostępnij
    Facebook Twitter LinkedIn Pinterest E-mail

    Rozszerzenie pliku .GZ oznacza plik skompresowany programem gzip (GNU zip), najczęściej stosowany w systemach Unix i Linux do efektywnego zmniejszania rozmiaru danych i ułatwiania ich transferu.

    Spis treści pokaż
    1 Jak działa format .gz
    2 Jak otworzyć plik .gz
    3 Podsumowanie

    Jak działa format .gz

    Format .GZ wykorzystuje algorytm kompresji DEFLATE, który jest kombinacją algorytmu LZ77 i kodowania Huffmana. Pliki GZ powstają zwykle w wyniku użycia narzędzia gzip, stworzonego jako wolna alternatywa dla opatentowanych rozwiązań wykorzystywanych wcześniej w systemach Unix. Główną zaletą tych plików jest szybka kompresja i dekompresja przy jednoczesnym zachowaniu oryginalnej nazwy pliku oraz jego znacznika czasu (jeśli użyto odpowiednich opcji podczas kompresji).

    Jak otworzyć plik .gz

    Rozpakowywanie plików .GZ można przeprowadzić za pomocą takich narzędzi jak gzip, gunzip czy programy graficzne oferujące obsługę popularnych formatów archiwów (np. 7-Zip, WinRAR, PeaZip). Pliki GZ podlegają standaryzacji w dokumentach RFC 1950, RFC 1951 i RFC 1952, a podobny mechanizm kompresji stosowany jest np. w plikach PNG.

    Podsumowanie

    .GZ to uniwersalne rozszerzenie dla wydajnie skompresowanych plików, najczęściej spotykane w środowiskach Unix/Linux, ale otwierane również w systemach Windows i Mac za pomocą odpowiedniego oprogramowania.

    Norbert Barwicki
    • WWW

    Norbert Barwicki pracuje z systemami Linux od 2007 roku, kiedy to zainstalował swoją pierwszą dystrybucję Ubuntu 7.04. Przez lata eksperymentował z ponad 15 różnymi dystrybucjami, w tym Fedora, Debian, Arch Linux i Gentoo, a od 2015 roku specjalizuje się w administracji serwerami opartymi na CentOS i Red Hat Enterprise Linux. Jako certyfikowany administrator Linux (RHCSA od 2018 roku) dzieli się swoją wiedzą na Linuksowo.pl, gdzie opublikował już ponad 100 artykułów pomagających użytkownikom w przejściu na świat open source.

    Pozostałe poradniki

    closeup photo of eyeglasses

    gzip – działanie, zalety i zastosowania kompresji danych w sieci WWW oraz systemie UNIX/Linux

    9 min. czyt.
    zip, compressed, icon, archive, win, file, format, type, extension, doc, document, package, lossless, zip, zip, zip, zip, zip

    Polecenie unzip – jak rozpakowywać pliki ZIP?

    6 min. czyt.
    A person typing on a laptop on a wooden table

    Zstandard (zstd) w kompresji bezstratnej – specyfikacja, wydajność i zastosowania

    12 min. czyt.

    Jak skompresować pliki i foldery do formatu ZIP w Linuksie?

    3 min. czyt.

    Linux: Jak jednocześnie rozpakować wiele plików ZIP?

    3 min. czyt.
    a computer screen with a program running on it

    Podstawowe komendy Linux – zarządzanie plikami, katalogami i procesami w terminalu

    25 min. czyt.
    Dodaj komentarz
    Odpowiedz Anuluj


    Poradniki
    Młody kreatywnie bizneswoman pokazuje jej telefon

    Co to jest Snap i jak instalować pakiety Snap w Ubuntu?

    2026-10-21

    Jak zainstalować i skonfigurować Git do kontroli wersji w systemie Linux

    2026-10-04
    Mężczyzna azjatycki projektant graficzny pracujący w biurowym studiu przy użyciu tabletu projektujący logo i prezentujący proces projektowania tożsamości korporacyjnej i logo

    Jak używać polecenia journalctl do przeglądania logów systemowych w Linux

    2026-09-29
    Wagtail

    Wagtail – nowoczesny CMS z elastycznością, wsparciem wielojęzycznym i bogatą społecznością

    2026-09-28
    Artykuły

    ClamAV – skuteczne wykrywanie trojanów i wirusów na Linux

    2026-09-22
    Wiadomość o błędzie na klawiaturze laptopa

    Najlepsze emulatory terminala dla systemu Linux – porównanie i ranking

    2026-08-23
    MacBook Pro showing programming language

    Polecenie sed – zastosowania, komendy i techniki

    2026-08-09
    O Linuksowo

    Linuksowo.pl to kompendium wiedzy dla wszystkich zainteresowanych systemami operacyjnymi opartymi na jądrze Linux. Oferujemy eksperckie artykuły obejmujące dystrybucje, instalację, bezpieczeństwo oraz oprogramowanie open source. Naszym celem jest dostarczanie praktycznych porad zarówno dla początkujących, jak i zaawansowanych użytkowników.

    © 2026 Linuksowo – Wszelkie prawa zastrzeżone.
    • Strona główna
    • O Linuksowo
    • Polityka prywatności i cookies
    • RSS
    • Kontakt

    Type above and press Enter to search. Press Esc to cancel.